> ## Documentation Index
> Fetch the complete documentation index at: https://ona.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Team

> Creates a new team within an organization.

`Unary` · [`Teams`](/docs/api-reference/generated/team/overview)

Creates a new team within an organization.

Use this method to:

* Organize users into teams
* Set up team-based workflows

### Examples

* Create a team:

  ```yaml theme={null}
  organizationId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047"
  name: "Backend Team"
  ```

### Authorization

Requires `team:create` permission on the organization.

## Endpoint

```text theme={null}
POST /api/gitpod.v1.TeamService/CreateTeam
```

Send a Bearer token as described in [Authentication](/docs/api-reference#authenticate-requests). If your organization uses a custom management-plane domain, replace `https://app.ona.com` with that domain.

## Request example

<CodeGroup>
  ```bash cURL theme={null}
  export ONA_HOST=https://app.ona.com
  export ONA_API_KEY=<your-token>

  curl --request POST \
    --url "$ONA_HOST/api/gitpod.v1.TeamService/CreateTeam" \
    --header "Authorization: Bearer $ONA_API_KEY" \
    --header "Content-Type: application/json" \
    --data '{
    "organizationId": "<organization-id>"
  }'
  ```

  ```python Python theme={null}
  import gitpod.v1.team_pb2 as team_pb2
  from ona_sdk import create_client_from_env

  ona = create_client_from_env()
  request = team_pb2.CreateTeamRequest(
      organization_id="<organization-id>",
  )
  response = ona.services.team.create_team(request)
  print(response)
  ```

  ```typescript TypeScript theme={null}
  import { create } from "@bufbuild/protobuf";
  import { createClientFromEnv } from "@gitpod/sdk";
  import { CreateTeamRequestSchema } from "@gitpod/sdk/gitpod/v1/team_pb";

  async function main() {
    const ona = createClientFromEnv();
    const request = create(CreateTeamRequestSchema, {
      organizationId: "<organization-id>",
    });
    const response = await ona.services.team.createTeam(request);
    console.log(response);
  }

  main().catch(console.error);
  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	"log"

  	"connectrpc.com/connect"
  	"github.com/gitpod-io/gitpod-sdk-go/sdk"
  	gitpodpb "github.com/gitpod-io/gitpod-sdk-go/v1"
  )

  func main() {
  	ona, err := sdk.NewFromEnv()
  	if err != nil {
  		log.Fatal(err)
  	}

  	request := connect.NewRequest(&gitpodpb.CreateTeamRequest{
  		OrganizationId: "<organization-id>",
  	})
  	response, err := ona.Services.Team.CreateTeam(context.Background(), request)
  	if err != nil {
  		log.Fatal(err)
  	}
  	fmt.Println(response.Msg)
  }
  ```

  ```json Request body theme={null}
  {
    "organizationId": "<organization-id>"
  }
  ```
</CodeGroup>

## Request

`gitpod.v1.CreateTeamRequest`

| Field            | Type   | Required | Description                                         |
| ---------------- | ------ | -------- | --------------------------------------------------- |
| `organizationId` | string | No       | Constraints: `string.uuid=true`.                    |
| `name`           | string | No       | Constraints: `string.max_len=80, string.min_len=3`. |

## Response

`gitpod.v1.CreateTeamResponse`

| Field  | Type                         | Required | Description |
| ------ | ---------------------------- | -------- | ----------- |
| `team` | [Team](#type-gitpod-v1-team) | No       |             |

## Related types

<a id="type-gitpod-v1-team" />

<Accordion title="Team">
  Team represents a team within an organization.

  `gitpod.v1.Team`

  | Field            | Type               | Required | Description                                                                                                                                  |
  | ---------------- | ------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`             | string             | No       | Constraints: `string.uuid=true`.                                                                                                             |
  | `organizationId` | string             | No       | Constraints: `string.uuid=true`.                                                                                                             |
  | `name`           | string             | No       | Constraints: `string.max_len=80, string.min_len=3`.                                                                                          |
  | `createdAt`      | RFC 3339 timestamp | No       |                                                                                                                                              |
  | `updatedAt`      | RFC 3339 timestamp | No       |                                                                                                                                              |
  | `memberCount`    | integer            | No       | member\_count is the total number of members in this team.                                                                                   |
  | `creatorId`      | string             | No       | creator\_id is the ID of the user who created this team. May be empty for system-created or migrated teams. Constraints: `string.uuid=true`. |
</Accordion>
